#
# $Id: Grids.py,v 1.3 2004/10/23 19:22:25 admin Exp $
#
# Copyright (c) 2003, 2004 Dirk Datzert
# All rights reserved. Written by Dirk Datzert <dirk@datzert.de>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

__version__='$Revision: 1.3 $'[11:-2]

from reportlab.graphics.widgets import grids
from RenderableObject import RenderableObject, manage_addRenderableObject


def manage_addGrid(self, REQUEST=None):
	""" """
	new_id = 'symbol'
	manage_addRenderableObject(self, GridObject, new_id, REQUEST)


def manage_addDoubleGrid(self, REQUEST=None):
	""" """
	new_id = 'symbol'
	manage_addRenderableObject(self, DoubleGridObject, new_id, REQUEST)


def manage_addShadedRect(self, REQUEST=None):
	""" """
	new_id = 'symbol'
	manage_addRenderableObject(self, ShadedRectObject, new_id, REQUEST)


class GridObject( RenderableObject ):
	""" """

	meta_type = 'RO_Grid'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=grids.Grid)


class DoubleGridObject( RenderableObject ):
	""" """

	meta_type = 'RO_DoubleGrid'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=grids.DoubleGrid)


class ShadedRectObject( RenderableObject ):
	""" """

	meta_type = 'RO_ShadedRect'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=grids.ShadedRect)


#	vi:ts=4
